# Visualization
TKV3d
V3d

# V3d_PerspectiveView Class Reference

Creates and modifies a perspective
See the methods of the class View
.

`#include <V3d_PerspectiveView.hxx>`

Inheritance diagram for V3d_PerspectiveView:

[legend]

## Public Member Functions

Standard_EXPORT | V3d_PerspectiveView (const Handle(V3d_Viewer)&VM)
| Defines a perspective view in a viewer VM. The default angle of opening is given by the viewer. .
Standard_EXPORT | V3d_PerspectiveView (const Handle(V3d_Viewer)&VM, const Handle(V3d_OrthographicView)&V)
| Creates a perspective view from the parameters of an orthographic view. The parameters of the original view are duplicated in the resulting view (Projection,Mapping,Context) . The view thus created must be activated in a new window. The default angle of opening is given by the viewer. .
Standard_EXPORT | V3d_PerspectiveView (const Handle(V3d_Viewer)&VM, const Handle(V3d_PerspectiveView)&V)
| Creates one perspective view from another. The parameters of the original view are duplicated in the resulting view (Projection,Mapping,Context) . The view thus created must be activated in a new window. .
Standard_EXPORT Handle_V3d_PerspectiveView | Copy () const
Standard_EXPORT void | SetAngle (const Quantity_PlaneAngle Angle)
| Modifies the angle of opening of the perspective in RADIANS. The projection window is resized according to the formula : TAN(Angle/2) = Size/Length Size expresses the smallest dimension of the window. Length expresses the focal length. //! Warning! raises BadValue from Viewer if the opening angle is <= 0 or >= PI .
Standard_EXPORT Quantity_PlaneAngle | Angle () const
| Returns the value of the angle of opening. .
Standard_EXPORT void | SetPerspective (const Quantity_PlaneAngle Angle, const Standard_Real UVRatio, const Standard_Real ZNear, const Standard_Real ZFar)
| Modifies the viewing perspective volume by given angle of opening of the perspective in RADIANS, aspect ratio of window width to its height and near and far clipping planes .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT V3d_PerspectiveView::V3d_PerspectiveView | ( | const Handle(V3d_Viewer)& | VM | ) |

Standard_EXPORT V3d_PerspectiveView::V3d_PerspectiveView | ( | const Handle(V3d_Viewer)& | VM,
|  | const Handle(V3d_OrthographicView)& | V
| ) |

Standard_EXPORT V3d_PerspectiveView::V3d_PerspectiveView | ( | const Handle(V3d_Viewer)& | VM,
|  | const Handle(V3d_PerspectiveView)& | V
| ) |

## Member Function Documentation

Standard_EXPORT Quantity_PlaneAngle V3d_PerspectiveView::Angle | ( |  | ) | const

Standard_EXPORT Handle_V3d_PerspectiveView V3d_PerspectiveView::Copy | ( |  | ) | const

Standard_EXPORT const V3d_PerspectiveView::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from V3d_View.

Standard_EXPORT void V3d_PerspectiveView::SetAngle | ( | const Quantity_PlaneAngle | Angle | ) |

Standard_EXPORT void V3d_PerspectiveView::SetPerspective | ( | const Quantity_PlaneAngle | Angle,
|  | const Standard_Real | UVRatio,
|  | const Standard_Real | ZNear,
|  | const Standard_Real | ZFar
| ) |

The documentation for this class was generated from the following file:

- V3d_PerspectiveView.hxx